org.eclipse.net4j.util.container

## Interface IContainerEventVisitor<E>

- All Known Subinterfaces:
    IContainerEventVisitor.Filtered<E>

      public interface IContainerEventVisitor<E>

  A callback interface for visiting `container deltas`.
  Author:
    Eike Stepper
  See Also:
    `IContainerEvent.accept(IContainerEventVisitor)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IContainerEventVisitor.Filtered<E>` An extension interface for `container event visitors` that can `filter` deltas from being visited.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `added(E element)`
    `void` | `removed(E element)`

- - ### Method Detail

    - #### added

          void added(E element)

    - #### removed

          void removed(E element)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html